Diversas vulnerabilidades en Kerberos

SeguridadVirus

Se han descubierto diversas vulnerabilidades en krb5 que pueden permitir a un atacante remoto.

Se ha encontrado un fallo en la forma en la que se manejan los nombres de usuario en el demonio telnet de MIT krb5. Un atacante remoto podría tener acceso de root sin necesidad de contraseña.

También existen encontrado desbordamientos de memoria intermedia en KDC y kadmin server daemon.

Y por último se ha encontrado un fallo de “double-free” en la librería GSSAPI, que puede permitir la ejecución de código arbitrario.

Se han publicado parches (en código fuente) para la corrección de estos problemas, disponibles desde las direcciones:

http://web.mit.edu/kerberos/advisories/2007-003-patch.txt

http://web.mit.edu/kerberos/advisories/2007-002-patch.txt

http://web.mit.edu/kerberos/advisories/2007-001-patch.txt

Las distribuciones Linux más populares ya han publicado paquetes que incluyen estas actualizaciones.

Leer la biografía del autor  Ocultar la biografía del autor